Skip to navigation

Get document or all documents from envelope

View as Markdown

Retrieves the specified document from the envelope. If the account has the Highlight Data Changes feature enabled, there is an option to request that any changes in the envelope be highlighted.

The {documentID} parameter takes two special values:

ValueDescription
combinedRetrieve a PDF that contains the combined content of all documents and the certificate.
archiveRetrieve a ZIP archive that contains all of the PDF documents, the certificate, and any .WAV files used for voice authentication.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

documentIdstringRequired
The ID of the document being accessed.
envelopeIdstringRequired

The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

Query parameters

certificatestringOptional

When set to false, the envelope signing certificate is removed from the download.

encodingstringOptional
encryptstringOptional

When set to true, the PDF bytes returned in the response are encrypted for all the key managers configured on your DocuSign account. The documents can be decrypted with the KeyManager Decrypt Document API.

languagestringOptional

Specifies the language for the Certificate of Completion in the response. The supported languages, with the language value shown in parenthesis, are: Chinese Simplified (zh_CN), , Chinese Traditional (zh_TW), Dutch (nl), English US (en), French (fr), German (de), Italian (it), Japanese (ja), Korean (ko), Portuguese (pt), Portuguese (Brazil) (pt_BR), Russian (ru), Spanish (es).

recipient_idstringOptional
show_changesstringOptional

When set to true, any changed fields for the returned PDF are highlighted in yellow and optional signatures or initials outlined in red.

watermarkstringOptional

When set to true, the account has the watermark feature enabled, and the envelope is not complete, the watermark for the account is added to the PDF documents. This option can remove the watermark.

Response

Successful response.

Errors

400
Bad Request Error